%define		php_name	php%{?php_suffix}
%define		modname	ssh2
Summary:	%{modname} - bindings for the libssh2 library
Summary(pl.UTF-8):	%{modname} - dowiązania do biblioteki libssh2
Name:		%{php_name}-pecl-%{modname}
Version:	0.13
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	e35f8438b3f6177066166c8c1916f44e
Patch0:		bug-73524.patch
URL:		https://pecl.php.net/package/ssh2
BuildRequires:	%{php_name}-devel >= 4:5.0.4
BuildRequires:	libssh2-devel >= 1.2.9
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-ssh2 < 0.12-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides bindings to the functions of libssh2 which implements the
SSH2 protocol.

%description -l pl.UTF-8
Dostarcza dowiązań do różnych funkcji biblioteki libssh2
implementującej protokół SSH2.

%prep
%setup -qc
mv %{modname}-%{version}/* .
%patch0 -p1

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu May 04 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-ssh2.git;a=log;h=auto/th/php-pecl-ssh2-0.13-1

* Thu May 04 2017 Elan Ruusamäe <glen@delfi.ee> 7969f0a
- fix bug #73524: segfault in scandir over ssh2

* Thu May 04 2017 Elan Ruusamäe <glen@delfi.ee> c179bae
- up to 0.13 (2016-06-12); cleanup branch.diff

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> fd4940c
- obsolete old php name
- release 5 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 4860b4f
- php 5.5 rebuild
- release 4 (by relup.sh)

* Mon Dec 16 2013 Elan Ruusamäe <glen@delfi.ee> 59e34b9
- release 3 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 2db4ed4
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 47fc951
- support building for multiple php versions

* Thu Jan 24 2013 Jan Rękorajski <baggins@pld-linux.org> 8fae05b
- updated to 0.12
- removed obsolete libssh2 patch, disabled branch.diff

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> c09b800
- release 5 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 05f9645
- release 4

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> 93ebbc6
- add branch.diff, builds with php53; rel 3

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> 0f92866
- unify

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> c8f8663
- release 2

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 200cad4
- updated to 0.11.0

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 355d226
- fixed previous commit msg

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 6737f64
- updated to 0.11.0

* Thu Feb 21 2008 Elan Ruusamäe <glen@pld-linux.org> 9856177
- fix for api change in libssh2 >= 0.16

* Thu Feb 21 2008 Elan Ruusamäe <glen@pld-linux.org> 8eeab58
- saved from mandriva svn
  http://svn.mandriva.com/cgi-bin/viewvc.cgi/packages/cooker/php-ssh2/releases/1:0.11/0.20060607.1mdv2008.0/SOURCES/php-ssh2-libssh2-0.16_fix.diff?revision=59951

* Thu Feb 21 2008 Elan Ruusamäe <glen@pld-linux.org> b6806ca
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d8044c6
- tabs in preamble

